#include<fstream>
#include<algorithm>
using namespace std;
int main()
{
	ifstream f1("BAI3_17.INP");
	ofstream f2("BAI3_17.OUT");
	int n;
	f1>>n;
	int i;
	int f[n];
	for(i=0;i<n;i++)
	{
		f1>>f[i];
	}
	sort(f,f+n);
	f2<<f[0]+f[n-1];
	f1.close();
	f2.close();
	return 0;
}
